using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Text;
using System.IO;

namespace baoge.Admin
{
	/// <summary>
	/// baoge001 的摘要说明。
	/// </summary>
	public class baoge001 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;
		protected CuteEditor.Editor Editor1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(Session["AdminName"]==null)
			{
				Response.Redirect("Admin_Login.aspx");
			}
			
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			string zy=Server.MapPath("../default.aspx");
			StreamReader fileStream = new StreamReader(zy,Encoding.Default);
			this.Editor1.Text = fileStream.ReadToEnd();
			fileStream.Close();
		    Response.Write("<script>alert('获取成功');</script>");
			
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			string zy=Server.MapPath("../default.aspx");
			
			StreamWriter fileWrite = new StreamWriter(zy,false,Encoding.Default);
			fileWrite.Write(this.Editor1.Text);
			fileWrite.Close();
			 Response.Write("<script>alert('更新成功');location.href='admin_template.aspx';</script>");
		}

	}
}
